aboutsummaryrefslogtreecommitdiffstats
path: root/test/ical-006.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/ical-006.sh')
-rwxr-xr-xtest/ical-006.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/ical-006.sh b/test/ical-006.sh
index 1d9359a..b923712 100755
--- a/test/ical-006.sh
+++ b/test/ical-006.sh
@@ -3,14 +3,14 @@
. "${TEST_INIT:-./test-init.sh}"
if [ "$1" = 'actual' ]; then
- mkdir .calcurse || exit 1
- cp "$DATA_DIR/conf" .calcurse || exit 1
- "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-006.ical"
- "$CALCURSE" -D "$PWD/.calcurse" -s06/01/2012 -r2
- rm -rf .calcurse || exit 1
+ tmpdir=$(mktemp -d)
+ cp "$DATA_DIR/conf" "$tmpdir" || exit 1
+ "$CALCURSE" -D "$tmpdir" -i "$DATA_DIR/ical-006.ical"
+ "$CALCURSE" -D "$tmpdir" -s06/01/2012 -r2
+ rm -rf "$tmpdir" || exit 1
elif [ "$1" = 'expected' ]; then
cat <<EOD
-Import process report: 0078 lines read
+Import process report: 0063 lines read
12 apps / 0 events / 0 todos / 0 skipped
06/01/12:
- 15:00 -> 15:30